Commit 555852a4 authored by Éloïs's avatar Éloïs

[docs] Rust is now installed automatically by npm

parent e5d27007
......@@ -13,26 +13,19 @@ To develop on Duniter, there is currently the following requirement:
- A computer with GNU/Linux or Mac as operating system
- Build essential tools
- curl
- git (apt-get install git)
- Nvm
- Rust
- Yarn
And preferably an IDE that supports [Typescript] and [Rust] well.
[Rust]: https://www.rust-lang.org/
[Typescript]: https://www.typescriptlang.org/
### Install Prerequisites
Nvm:
wget -qO- https://raw.githubusercontent.com/nvm-sh/nvm/v0.35.3/install.sh | bash
Rust:
curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh -- -y
## Build the project
### Clone de repository
......
......@@ -13,9 +13,9 @@ To compile Duniter manually, there is currently the following requirement:
- A computer with GNU/Linux or Mac as operating system
- Build essential tools
- curl
- tar or unzip or git (to download and extract source code)
- Nvm
- Rust
- Yarn
### Get source code
......@@ -61,16 +61,12 @@ Depend on your distribution:
TODO: If you know how to install build essential tools for other gnu/linux distributions or for mac, you can complete this documentation and submit a merge request.
#### Nvm and Rust
#### Nvm
Nvm:
wget -qO- https://raw.githubusercontent.com/nvm-sh/nvm/v0.35.3/install.sh | bash
Rust:
curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh -- -y
## Build the project
Go to the root of the folder where you extracted the source code (or possibly cloned from git).
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment